/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.MotivoReimpresionDAO;
import com.rjconsultores.ventaboletos.entidad.MotivoReimpresion;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Rafius
 */
@Repository("motivoReimpresionDAO")
public class MotivoReimpresionHibernateDAO extends GenericHibernateDAO<MotivoReimpresion, Integer>
        implements MotivoReimpresionDAO {

    @Autowired
    public MotivoReimpresionHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<MotivoReimpresion> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.addOrder(Order.asc("descmotivo"));

        return c.list();
    }

    public List<MotivoReimpresion> buscar(String descmotivo) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("descmotivo", descmotivo));

        return c.list();
    }
}
